## ros-eloquent-tf2-geometry-msgs 0.12.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_geometry_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake_auto REQUIRED)
set(required_dependencies
  "geometry_msgs"
  "orocos_kdl"
  "tf2"
  "tf2_ros"
)
ament_auto_find_build_dependencies(REQUIRED ${required_dependencies})

include_directories(include
   ${orocos_kdl_INCLUDE_DIRS}
   ${tf2_INCLUDE_DIRS}
   ${tf2_ros_INCLUDE_DIRS}
   ${geometry_msgs_INCLUDE_DIRS}
)

link_directories(${orocos_kdl_LIBRARY_DIRS})

ament_python_install_package(${PROJECT_NAME}
     PACKAGE_DIR src/${PROJECT_NAME})

# TODO (ahcorde) Port python once https://github.com/ros2/orocos_kinematics_dynamics/pull/4 is merged
# install(PROGRAMS scripts/test.py
#    DESTINATION lib/${PROJECT_NAME}
# )

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_tf2_geometry_msgs test/test_tf2_geometry_msgs.cpp)
  if(TARGET test_tf2_geometry_msgs)
    target_link_libraries(test_tf2_geometry_msgs
      ${geometry_msgs_LIBRARIES}
      ${orocos_kdl_LIBRARIES}
      ${tf2_LIBRARIES}
      ${tf2_ros_LIBRARIES}
      ${GTEST_LIBRARIES}
    )
  endif()
endif()

ament_auto_package()

=== debian/changelog ===
ros-eloquent-tf2-geometry-msgs (0.12.6-1bionic) bionic; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>) (#331 <https://github.com/ros2/geometry2/issues/331>)
  * installed python tf2_geometry_msgs (#207 <https://github.com/ros2/geometry2/issues/207>) (#223 <https://github.com/ros2/geometry2/issues/223>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.12.5-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.12.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.12.3-1bionic) bionic; urgency=high

  * Remove unused setup.py files (#190 <https://github.com/ros2/geometry2/issues/190>)
  * Contributors: Vasilii Artemev

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.12.2-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.12.1-1bionic) bionic; urgency=high

  * Remove template specialization for toMsg functions (#179 <https://github.com/ros2/geometry2/issues/179>)
  * Use smart pointers for global buffer variables in tests
  * Don't assume quaternions init to all zeros
  * Contributors: Jacob Perron, Josh Langsfeld

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.12.0-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.11.3-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.11.2-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.11.1-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 09 May 2019 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.11.0-1bionic) bionic; urgency=high

  * Updated to use ament_target_dependencies where possible. (#98 <https://github.com/ros2/geometry2/issues/98>)

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.10.1-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.10.0-1bionic) bionic; urgency=high

  * Use ros2 time (#67 <https://github.com/ros2/geometry2/issues/67>)
    * Buffer constructor accepts a clock
    * Use rclcpp::Time::seconds()
  * revert now unnecessary message initializations (#64 <https://github.com/ros2/geometry2/issues/64>)
  * Contributors: Mikael Arguedas, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2018 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.15-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.14-1bionic) bionic; urgency=high

  * Add doxygen documentation for tf2_geometry_msgs
  * Contributors: Jackie Kay

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.13-1bionic) bionic; urgency=high

  * Add missing python_orocos_kdl dependency
  * make example into unit test
  * vector3 not affected by translation
  * Contributors: Daniel Claes, chapulina

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.12-1bionic) bionic; urgency=high

  * Merge pull request #112 <https://github.com/ros/geometry_experimental/issues/112> from vrabaud/getYaw
    Get yaw
  * add toMsg and fromMsg for QuaternionStamped
  * Contributors: Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.11-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.10-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.9-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.8-1bionic) bionic; urgency=high

  * remove useless Makefile files
  * tf2 optimizations
  * add conversions of type between tf2 and geometry_msgs
  * fix ODR violations
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.7-1bionic) bionic; urgency=high

  * fixing transitive dependency for kdl. Fixes #53 <https://github.com/ros/geometry_experimental/issues/53>
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.6-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.5-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 05:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.3-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.2-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 06:00:00 -0000

ros-eloquent-tf2-geometry-msgs (0.5.1-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-eloquent-tf2-geometry-msgs
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-auto, ros-eloquent-ament-cmake-gtest, ros-eloquent-geometry-msgs, ros-eloquent-orocos-kdl, ros-eloquent-tf2, ros-eloquent-tf2-ros, ros-eloquent-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-eloquent-tf2-geometry-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-geometry-msgs, ros-eloquent-orocos-kdl, ros-eloquent-tf2, ros-eloquent-tf2-ros, ros-eloquent-ros-workspace
Description: tf2_geometry_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-tf2-geometry-msgs//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
